# Generated by Django 2.2.10 on 2020-07-11 00:18

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('django_vr_pay', '0001_initial'),
    ]

    operations = [
        migrations.RemoveIndex(
            model_name='vrpaymentbasicpayment',
            name='django_vr_p_merchan_fe8f32_idx',
        ),
        migrations.RemoveIndex(
            model_name='vrpaymentbasicpayment',
            name='django_vr_p_merchan_106324_idx',
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpayment',
            name='merchant_invoice_id',
            field=models.CharField(blank=True, db_index=True, help_text='Merchant-provided invoice number, should be unique for your transactions. This identifier is not sent onwards.', max_length=255, null=True, unique=True, validators=[django.core.validators.MinLengthValidator(8)], verbose_name='Merchant invoice ID'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpayment',
            name='merchant_transaction_id',
            field=models.CharField(db_index=True, help_text='Merchant-provided reference number, should be unique for your transactions. Some receivers require this ID. This identifier is often used for reconciliation.', max_length=255, unique=True, validators=[django.core.validators.MinLengthValidator(8)], verbose_name='Merchant transaction ID'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='reference_id',
            field=models.CharField(blank=True, db_index=True, help_text='In case of referenced payment (e.g., Capture or Refund), this fields included to see which payment was referenced.', max_length=32, null=True, validators=[django.core.validators.RegexValidator(regex='[a-zA-Z0-9]{32}')], verbose_name='ReferenceID'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='vr_pay_id',
            field=models.CharField(blank=True, db_index=True, help_text='The VR Pay identifier of this object', max_length=48, null=True, verbose_name='ID'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='reference_id',
            field=models.CharField(blank=True, db_index=True, help_text='In case of referenced payment (e.g., Capture or Refund), this fields included to see which payment was referenced.', max_length=32, null=True, validators=[django.core.validators.RegexValidator(regex='[a-zA-Z0-9]{32}')], verbose_name='ReferenceID'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='vr_pay_id',
            field=models.CharField(blank=True, db_index=True, help_text='The VR Pay identifier of this object', max_length=48, null=True, verbose_name='ID'),
        ),
    ]
